import {userDetail} from "../requests/user";
import {formatBirthday, formatSeconds, formatTime} from "./index";
import utils from "./index";
import user_store from '../store/index'


//刷新用户信息
export function reload_userinfo($this) {
  wx.showLoading({
    title: '加载中',
    mask:true
  })
  let $errcode = [
    1001, 1002, 1011, 1012, 1021, 1031
  ]
  userDetail().then((res) => {
    let $data = res.data;
    if ($errcode.indexOf($data.code) != -1) {
      do_logout($this)
    }
    $this.userinfo = $data.data;
    $this.userinfo.birthday = formatBirthday($this.userinfo.birthday)
    $this.userinfo['validity_time'] = formatTime($this.userinfo['validity_time'])
    $this.userinfo['level_name'] = utils.get_level_name($this.userinfo['level'])
    $this.userinfo['free_time'] = formatSeconds($this.userinfo['free_time'])
    //设置邀请码
    user_store.setters.set_invite_code($this.userinfo['invite_id'])
    $this.invite_code = wx.getStorageSync('code') ? wx.getStorageSync('code') : $this.userinfo['invite_id']
    user_store.setters.set_userinfo($this.userinfo)
    //停止下拉刷新
    wx.stopPullDownRefresh()
    wx.hideLoading()
  })
}

function do_logout($this) {
  $this.is_login = false
  wx.showToast({
    title: "用户信息过期,请重新登录",
    icon: 'none',
    mask: true,
    success() {
      wx.clearStorageSync()
      wx.setStorageSync('is_login', false)
      mpvue.reLaunch({
        url: "/pages/index/main"
      })
      try {
        $this.change_login_status()
      } catch
        (e) {
        console.log(e)
      }
    }
  })
}
